import java.awt.*;
import layout.*;

public class FontBaseFlowLayoutTest extends Frame {
	private static FontBaseFlowLayoutTest frame;

	public FontBaseFlowLayoutTest() {
		super("FontBaseFlowLayoutTest");

		FontBaseFlowLayout layout = new FontBaseFlowLayout();
		setLayout(layout);
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		String[] cmds = { "LEFT", "CENTER", "RIGHT", "TOP", "MIDDLE", "BOTTOM" };

		for (int i = 0; i < cmds.length; i++) {
			Button b = new Button(cmds[i]);
			add(b);
			layout.addLayoutComponent(b, new Dimension(40, 12));
		}

		Dimension size = layout.preferredLayoutSize(this);
		resize(size.width * 5 / 8, size.height * 4);
		show(true);
	}

	public boolean action(Event e, Object cmd) {
		FontBaseFlowLayout layout = (FontBaseFlowLayout)getLayout();

		if ("LEFT".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.LEFT);
		else if ("CENTER".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.CENTER);
		else if ("RIGHT".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.RIGHT);
		else if ("TOP".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.TOP);
		else if ("MIDDLE".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.MIDDLE);
		else
			layout.setAlignment(FontBaseFlowLayout.BOTTOM);
		invalidate();
		validate();

		return true;
	}

	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY)
			System.exit(0);
		return super.handleEvent(e);
	}

	public static void main(String[] args) {
		frame = new FontBaseFlowLayoutTest();
	}
}
