import java.awt.*;
import layout.*;

public class FontBaseVerticalLayoutTest extends Frame {
	private static FontBaseVerticalLayoutTest frame;

	public FontBaseVerticalLayoutTest() {
		super("FontBaseVerticalLayoutTest");

		FontBaseVerticalLayout layout = new FontBaseVerticalLayout();
		setLayout(layout);
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		String[] cmds = { "LEFT", "CENTER", "RIGHT", "TOP", "MIDDLE", "BOTTOM" };

		for (int i = 0; i < cmds.length; i++) {
			Button b = new Button(cmds[i]);
			add(b);
			layout.addLayoutComponent(b, new Dimension(40, 12));
		}

		Dimension size = layout.preferredLayoutSize(this);
		resize(size.width * 3, size.height * 5 / 4);
		show(true);
	}

	public boolean action(Event e, Object cmd) {
		FontBaseVerticalLayout layout = (FontBaseVerticalLayout)getLayout();

		if ("LEFT".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.LEFT);
		else if ("CENTER".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.CENTER);
		else if ("RIGHT".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.RIGHT);
		else if ("TOP".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.TOP);
		else if ("MIDDLE".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.MIDDLE);
		else
			layout.setAlignment(FontBaseVerticalLayout.BOTTOM);
		invalidate();
		validate();

		return true;
	}

	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY)
			System.exit(0);
		return super.handleEvent(e);
	}

	public static void main(String[] args) {
		frame = new FontBaseVerticalLayoutTest();
	}
}
