import java.awt.*;
import java.awt.event.*;
import layout.*;

public class AbsoluteLayoutTest extends Frame {
	private static AbsoluteLayoutTest frame;

	public AbsoluteLayoutTest() {
		super("AbsoluteLayoutTest");

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		setLayout(new AbsoluteLayout(400, 300));

		Color[] colors = {
			Color.black, Color.blue, Color.cyan, Color.darkGray,
			Color.gray, Color.green, Color.lightGray, Color.magenta,
			Color.orange, Color.pink, Color.red, Color.yellow
		};

		for (int y = 0; y < 3; y++) {
			for (int x = 0; x < 4; x++) {
				Circle c = new Circle(50, colors[y * 4 + x]);
				add(c, new Rectangle(x * 100, y * 100, 100, 100));
			}
		}

		pack();
		setVisible(true);
	}

	class Circle extends Component {
		private int radius;
		private Color color;

		public Circle(int radius, Color color) {
			this.radius = radius;
			this.color = color;
		}

		public void paint(Graphics g) {
			g.setColor(color);
			g.fillOval(0, 0, radius * 2, radius * 2);
		}
	}

	public static void main(String[] args) {
		frame = new AbsoluteLayoutTest();
	}
}
