import java.awt.*;
import java.awt.event.*;
import layout.*;

public class FontBaseFlowLayoutTest extends Frame implements ActionListener {
	private static FontBaseFlowLayoutTest frame;

	public FontBaseFlowLayoutTest() {
		super("FontBaseFlowLayoutTest");

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		FontBaseFlowLayout layout = new FontBaseFlowLayout();
		setLayout(layout);
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		String[] cmds = { "LEFT", "CENTER", "RIGHT", "TOP", "MIDDLE", "BOTTOM" };

		for (int i = 0; i < cmds.length; i++) {
			Button b = new Button(cmds[i]);
			b.addActionListener(this);
			add(b, new Dimension(40, 12));
		}

		Dimension size = layout.preferredLayoutSize(this);
		setSize(size.width * 5 / 8, size.height * 4);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		String cmd = e.getActionCommand();
		FontBaseFlowLayout layout = (FontBaseFlowLayout)getLayout();

		if ("LEFT".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.LEFT);
		else if ("CENTER".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.CENTER);
		else if ("RIGHT".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.RIGHT);
		else if ("TOP".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.TOP);
		else if ("MIDDLE".equals(cmd))
			layout.setAlignment(FontBaseFlowLayout.MIDDLE);
		else
			layout.setAlignment(FontBaseFlowLayout.BOTTOM);
		invalidate();
		validate();
	}

	public static void main(String[] args) {
		frame = new FontBaseFlowLayoutTest();
	}
}
