import java.awt.*;
import java.awt.event.*;
import layout.*;

public class FontBaseVerticalLayoutTest extends Frame implements ActionListener {
	private static FontBaseVerticalLayoutTest frame;

	public FontBaseVerticalLayoutTest() {
		super("FontBaseVerticalLayoutTest");

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		FontBaseVerticalLayout layout = new FontBaseVerticalLayout();
		setLayout(layout);
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		String[] cmds = { "LEFT", "CENTER", "RIGHT", "TOP", "MIDDLE", "BOTTOM" };

		for (int i = 0; i < cmds.length; i++) {
			Button b = new Button(cmds[i]);
			b.addActionListener(this);
			add(b, new Dimension(40, 12));
		}

		Dimension size = layout.preferredLayoutSize(this);
		setSize(size.width * 3, size.height * 5 / 4);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		String cmd = e.getActionCommand();
		FontBaseVerticalLayout layout = (FontBaseVerticalLayout)getLayout();

		if ("LEFT".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.LEFT);
		else if ("CENTER".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.CENTER);
		else if ("RIGHT".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.RIGHT);
		else if ("TOP".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.TOP);
		else if ("MIDDLE".equals(cmd))
			layout.setAlignment(FontBaseVerticalLayout.MIDDLE);
		else
			layout.setAlignment(FontBaseVerticalLayout.BOTTOM);
		invalidate();
		validate();
	}

	public static void main(String[] args) {
		frame = new FontBaseVerticalLayoutTest();
	}
}
